Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisShortString_ Struct Reference

Defines the ZydisShortString struct. More...

`#include <ShortString.h>`

## Data Fields
const char * | data
| The buffer that contains the actual (null-terminated) string.
ZyanU8 | size
| The length (number of characters) of the string (without 0-termination).

## Detailed Description

Defines the ZydisShortString struct.

This compact struct is mainly used for internal string-tables to save up some bytes.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Field Documentation

## ◆ data

const char* data

The buffer that contains the actual (null-terminated) string.

## ◆ size

ZyanU8 size

The length (number of characters) of the string (without 0-termination).

The documentation for this struct was generated from the following file:

- include/Zydis/ShortString.h